Package org.apache.sling.distribution.queue.impl.simple

## Class SimpleDistributionQueueProcessor

- java.lang.Object
- - org.apache.sling.distribution.queue.impl.simple.SimpleDistributionQueueProcessor

All Implemented Interfaces:
  `Runnable`

    public class SimpleDistributionQueueProcessor
    extends Object
    implements Runnable

a simple scheduled `SimpleDistributionQueue`s processor

### Constructor Summary

Constructors
`SimpleDistributionQueueProcessor​(DistributionQueue queue, org.apache.sling.distribution.queue.impl.DistributionQueueProcessor queueProcessor, Consumer<DistributionQueueEntry> processingAttemptRecorder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDistributionQueueProcessor

    public SimpleDistributionQueueProcessor​(DistributionQueue queue,
                                            org.apache.sling.distribution.queue.impl.DistributionQueueProcessor queueProcessor,
                                            Consumer<DistributionQueueEntry> processingAttemptRecorder)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`